Just some questions and confirmations about PSP-3000 hacking

Discussion in 'PSP - Hacking & Homebrew' started by Bathier, Jun 30, 2013.

  1. Bathier
    OP

    Bathier Member

    Newcomer
    10
    0
    Jun 30, 2013
    United States
    Hi, I'm going to get the PSP-3000 soon and maybe/probably start hacking it when I get it, and I have some questions that I'm having that I couldn't find in the forums or searching it on the internet [maybe I didn't look hard enough but eh], and I need to get some confirmations about stuff. Sorry, this is going to be a long post. Answers are appreciated. :'D

    1. What's the difference between the 6.20 PRO and 6.60 PRO (besides the #)? So, to be sure for the PSP-3000, only the 6.20 firmware have the permanent patch and not the 6.60 right? What is the latest firmware that will have the permanent (and hopefully the safest) patch and installation?

    2. I was looking through the 6.20 cfw, and I'm confused with cfws I should use, or which cfw is the "best" cfw (I only know some of them, PRO B10 and C2, ME, M33, L/ME or whatever). My question: Which cfw for the PSP-3000 6.20 cfw is the "best" to use/install?

    3. I looked into psp plug-ins, but most of them were like "THE MUST HAVE PLUG-INS" or something. What's the psp plug-ins for?

    I'm probably ask more questions, so bare with me. Thank you. :'D
     
  2. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    1 - The base firmware it's built on. The hacked-in features are almost exactly the same, but 6.20 can auto-boot hacked-mode on any model, while 6.60 cannot on later models (later 2Ks, or any 3K/Go). 6.20 is recommended if you want permanent on a 3000.

    2 - M33's old, PRO and ME are the two that are still being used. We recommend PRO for ease of install and use here. The letter/number at the end is the hack's version.

    3 - They add features. Adding a cheat engine, the ability to play your MP3s in-game, text reading in-game, the ability to edit your brightness to lower-than-normal levels, re-map your keys, junk like that. They're pretty useful.
     
  3. Bathier
    OP

    Bathier Member

    Newcomer
    10
    0
    Jun 30, 2013
    United States
    Oh my, that was fast. Welp, I'm excited to get the PSP, thank you for responding. Much appreciated, and come again. :'D
     
  4. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Just note that the CFW is built off the OFW, so for example if you get a brand-new PSP with 6.60 installed (6.60's been the latest for a while, PSP's dead) then you'll be going with 6.60. It only loses the hack when you shut it off, sleep mode is fine, and it only takes a few seconds to re-enable hacked mode.
     
  5. nukeboy95

    nukeboy95 Leave luck to heaven.

    Member
    2,273
    1,086
    Aug 24, 2010
    United States
    not sure
    plugin name?
     
  6. Bathier
    OP

    Bathier Member

    Newcomer
    10
    0
    Jun 30, 2013
    United States
    Ooh, then if that happens, can I downgrade from 6.60 to 6.20 without the 6.20 firmware installed?
     
  7. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    "MP3PlayerPlugin v3.3 Fix" seems to be the updated one, though I've never used any of these personally.
    https://twitter.com/plum_429/status/113960873046982656
    http://wololo.net/talk/viewtopic.php?f=28&t=7407&sid=f0f21441a38a4f43387d7059ebbbc475
    etc.

    No, the CFW is just a modification of the OFW files, you need 6.20, and downgrading the latest 3K models (what you'll find new in a store) to 6.20 is too risky (earlier 3K models did it fine up to a certain model).
     
  8. blaisedinsd

    blaisedinsd GBAtemp Maniac

    Member
    1,023
    118
    Dec 6, 2012
    United States
    I recently bought a new psp and it came with 6.60 installed. downgrading is not recommended from my understanding. It is really simple to hack and if it it shuts down it takes 5 seconds to re enable the hack. You just select fast recovery and it restarts and it's done.
     
  9. Bathier
    OP

    Bathier Member

    Newcomer
    10
    0
    Jun 30, 2013
    United States
  10. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Uh, supposedly, but...

    1 - Why? MicroSD is cheaper than M2.

    2 - Adapters aren't recommended anyways. They can cause all sorts of issues.
     
  11. Bathier
    OP

    Bathier Member

    Newcomer
    10
    0
    Jun 30, 2013
    United States
    1 - MicroSD? Whoa, what kind of product gives MicroSD compatibility to the PSP-3000?
    2 - Welp, there goes that then. x3

    EDIT (More questions): Which products do you recommend for memory expansion for the PSP-3000?

    EDIT: Never mind. :L
     
  12. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The Photofast CR-5400 or whatever, but it's been out of production for years so any you buy now are fake, and even the real ones had compatibility issues.

    I recommend, you know, an actual legit memory card. :P
     
  13. blaisedinsd

    blaisedinsd GBAtemp Maniac

    Member
    1,023
    118
    Dec 6, 2012
    United States